Skip to main content
`Ctrl`+`K`

# numpy.nanargmin

numpy.nanargmin(a, axis=None, out=None, *, keepdims=<no value>)

  Return the indices of the minimum values in the specified axis ignoring NaNs. For all-NaN slices `ValueError` is raised. Warning: the results cannot be trusted if a slice contains only NaNs and Infs.

  Parameters:
    a array_like

      Input data.

    axis int, optional

      Axis along which to operate. By default flattened input is used.

    out array, optional

      If provided, the result will be inserted into this array. It should be of the appropriate shape and dtype.

      Added in version 1.22.0.

    keepdims bool, optional

      If this is set to True, the axes which are reduced are left in the result as dimensions with size one. With this option, the result will broadcast correctly against the array.

      Added in version 1.22.0.

  Returns:
    index_array ndarray

      An array of indices or a single index value.

  See also

  `argmin`, `nanargmax`

  Examples

      >>> import numpy as np
      >>> a = np.array([[np.nan, 4], [2, 3]])
      >>> np.argmin(a)
      0
      >>> np.nanargmin(a)
      2
      >>> np.nanargmin(a, axis=0)
      array([1, 1])
      >>> np.nanargmin(a, axis=1)
      array([1, 0])